Conversations / REST API
Get conversation
Get a specific conversation and its messages.
GET /api/mcp/conversations/{conversationId}Deterministic operationParameters
workspaceIdOptional · string- Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client.
conversationIdRequired · string- See the input schema for this field.
curl -X GET "https://app.pipeline.help/api/mcp/conversations/00000000-0000-4000-8000-000000000000" \
-H "Authorization: Bearer $PIPELINE_API_KEY"Full input schema
{
"type": "object",
"properties": {
"workspaceId": {
"type": "string",
"minLength": 1,
"description": "Optional workspace ID or slug. Required when this credential can access multiple workspaces and no workspace was configured on the client."
},
"conversationId": {
"type": "string"
}
},
"required": [
"conversationId"
]
}